Debian Bug report logs - #414117
netcfg doesn't wait long enough to detect link

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Vincent McIntyre <Vince.McIntyre@atnf.csiro.au>

Date: Fri, 9 Mar 2007 08:54:06 UTC

Severity: important

Done: Robert Edmonds <edmonds@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#414117; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Vincent McIntyre <Vince.McIntyre@atnf.csiro.au>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent McIntyre <Vince.McIntyre@atnf.csiro.au>
To: submit@bugs.debian.org
Subject: [i386][netinst][daily 20070211] success: Dell PE1950, no raid
Date: Fri, 9 Mar 2007 19:49:33 +1100 (EST)
[Message part 1 (text/plain, inline)]
Package: installation-reports

Boot method: CD, with the command 'install'
Image version: Netinst daily image 
http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso, version 20070211-2.iso
md5sum: 045f122cd20090fca10772c72f61ab57 
Date: 2007-02-12

Machine: Dell PowerEdge 1950
         Dual Xeon CPUs, dual SATA hdd, no raid controller
Partitions:

System is configured with two identical disks in (software) RAID1
The first partition is /, is an ext3 partition.
The remainder is an LVM volume, with is sliced up further

# df -Tl
Filesystem    Type   1K-blocks      Used Available Use% Mounted on
/dev/md0      ext3      482090    102625    354573  23% /
tmpfs        tmpfs     1038312         0   1038312   0% /lib/init/rw
udev         tmpfs       10240        92     10148   1% /dev
tmpfs        tmpfs     1038312         4   1038308   1% /dev/shm
/dev/mapper/vg00-local
              ext3     2064208     68680   1890672   4% /local
/dev/mapper/vg00-mysql
              ext3    10321208    154236   9642684   2% /srv/mysql
/dev/mapper/vg00-svn
              ext3   154818540    192072 146762148   1% /srv/svn
/dev/mapper/vg00-tmp
              ext3     1032088     36580    943080   4% /tmp
/dev/mapper/vg00-usr
              ext3     6192704   1535244   4342888  27% /usr
/dev/mapper/vg00-var
              ext3     4128448    299216   3619520   8% /var
/dev/mapper/vg00-www--logs
              ext3    10321208    154244   9642676   2% /var/log/apache2
/dev/mapper/vg00-vhosts
              ext3    10321208    154236   9642684   2% /var/www/vhosts

raw partition table:
# sfdisk -l /dev/sda

Disk /dev/sda: 30394 cylinders, 255 heads, 63 sectors/track
Units = cylinders of 8225280 bytes, blocks of 1024 bytes, counting from 0

   Device Boot Start     End   #cyls    #blocks   Id  System
/dev/sda1          0+     61      62-    497983+  fd  Linux raid autodetect
/dev/sda2         62   30393   30332  243641790   fd  Linux raid autodetect
/dev/sda3          0       -       0          0    0  Empty
/dev/sda4          0       -       0          0    0  Empty

same for /dev/sdb

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [o]
Detect network card:    [o]
Configure network:      [e]
Detect CD:              [o]
Load installer modules: [o]
Detect hard drives:     [o]
Partition hard drives:  [o]
Install base system:    [o]
Clock/timezone setup:   [o]
User/password setup:    [o]
Install tasks:          [o]
Install boot loader:    [o]
Overall install:        [o]

Comments/Problems:

System has two ethernet interfaces. Same type of device, just different MACs.
The installer consistently picked the "wrong" interface during installation -
i.e. the one that was not plugged in.
I tried a couple of i386 netinst installs, and one using the amd64 netinst.
Behaviour was consistent in all these cases.

I did try moving the ethernet cable to the other interface at the network
configuration stage, and got link-up messages etc. I moved it back to
complete the install because I was looking for further problems precipiated
by this.  This is likely the well-known problem with udev, and might be fixed
by the udev rules described in debian bugs #403706 and #405775.
I haven't tried this yet.

I answered 'no' to the "use network mirror" during apt-setup-udeb.
At the tasksel stage I selected "standard system" which added 9 packages.

On one occasion there was a hang while these packages were being copied from
the cdrom and installed. There was an error message from
apt-setup/generators/50mirror, and while all the dialogs indicated all the
packages were copied, it got stuck after or during the 6th.
However I was unable to reproduce this.

udev continues to give problems with disk renumbering; I would install
to a disk detected as /dev/sdb and reboot and the disk would now be named
/dev/sda. This needs to be documented in the release notes; its a 
significantly different behaviour from sarge.
I worked around this issue by putting the disks into an mdadm raid set;
this uses uuids to identify disks unambigously for udev and I get to use 
reasonably short device names in /etc/fstab. I decided to use LVM to give
me flexibility in resizing partitions after installation (and multiple 
partitions are a pain).

The installer's default choices for this were reasonable but I dislike
having /boot as a separate partition; I would rather have all of / and
put /usr, /var /home and so on in separate partitions.

I followed (approximately) the paritioning and disk setup described by
http://dev.jerryweb.org/raid/ - I changed my mind several times about
the layout and redid it completely a number of times; partman soaked up
the punishment admirably.

The mdadm system for controlling the raid mirror also works well.
After installation, I was able to fail a disk, remove it and hot-add it back
with no problem.
I was also able to boot the system if the second disk was unplugged.
I could not boot with the first disk unplugged, this is a BIOS limitation.

Looking good!

-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.
[hardware-summary.pe1950.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#414117; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 414117@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 414117@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Vincent McIntyre <Vince.McIntyre@atnf.csiro.au>, 414117@bugs.debian.org
Subject: Re: Bug#414117: [i386][netinst][daily 20070211] success: Dell PE1950, no raid
Date: Fri, 09 Mar 2007 21:55:02 +0100
reassign 414117 netcfg
severity 414117 important
thanks

On Friday 09 March 2007 09:49, Vincent McIntyre wrote:
> Comments/Problems:
> System has two ethernet interfaces. Same type of device, just different
> MACs. The installer consistently picked the "wrong" interface during
> installation - i.e. the one that was not plugged in.
> I tried a couple of i386 netinst installs, and one using the amd64
> netinst. Behaviour was consistent in all these cases.

Reassigning to netcfg for this issue. The installer does link detection, 
but it is possible that it gets confused with completely identical NICs 
as those currently "look" the same to debconf.

> This is likely the well-known problem with udev,
> and might be fixed by the udev rules described in debian bugs #403706
> and #405775. I haven't tried this yet.

I doubt this is related.

> udev continues to give problems with disk renumbering; I would install
> to a disk detected as /dev/sdb and reboot and the disk would now be
> named /dev/sda. This needs to be documented in the release notes; its a
> significantly different behaviour from sarge.

No, Sarge had exactly the same problem. It just happened less frequently.

> The installer's default choices for this were reasonable but I dislike
> having /boot as a separate partition; I would rather have all of / and
> put /usr, /var /home and so on in separate partitions.

That is only possible if you don't put / in LVM as you did, but that will 
require manual partitioning anyway.

Thank you for your report.

Cheers,
FJP



Bug reassigned from package `installation-reports' to `netcfg'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#414117; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 414117@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 414117@bugs.debian.org, 414117-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#414117: [i386][netinst][daily 20070211] success: Dell PE1950, no raid
Date: Mon, 21 Jul 2008 15:19:32 +0200
[Message part 1 (text/plain, inline)]
retitle 414117 netcfg link detection confused by multiple interfaces with same driver
thanks

On Fri, Mar 09, 2007 at 09:55:02PM +0100, Frans Pop wrote:
> On Friday 09 March 2007 09:49, Vincent McIntyre wrote:
> > System has two ethernet interfaces. Same type of device, just different
> > MACs. The installer consistently picked the "wrong" interface during
> > installation - i.e. the one that was not plugged in.
> > I tried a couple of i386 netinst installs, and one using the amd64
> > netinst. Behaviour was consistent in all these cases.
> 
> Reassigning to netcfg for this issue. The installer does link detection, 
> but it is possible that it gets confused with completely identical NICs 
> as those currently "look" the same to debconf.

This assertion sounded strange to me, and after looking at the code, I
see that netcfg uses the interface name (eth0, eth1, etc.) to iterate
through all interfaces, detect a link and select a default.

I have done installations on various servers with multiple ethernet
devices using the same driver and never experienced a similar issue.

Vincent, have you made another Debian installation on the same system
since your original installation report (9 Mar 2007)?  Did you
experencie a similar issue?  If you have not, would you take the time to
boot a recent build of d-i (netboot mini.iso will do) and see if the
problem is still there?
(As network configuration is done pretty early, you don't need to go
really far in the installaion process.)

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `netcfg link detection confused by multiple interfaces with same driver' from `[i386][netinst][daily 20070211] success: Dell PE1950, no raid'. Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Mon, 21 Jul 2008 17:21:06 GMT) Full text and rfc822 format available.

Message sent on to Vincent McIntyre <Vince.McIntyre@atnf.csiro.au>:
Bug#414117. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#414117; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Vincent.McIntyre@csiro.au:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 414117@bugs.debian.org (full text, mbox):

From: Vincent.McIntyre@csiro.au
To: Jérémy Bobbio <lunar@debian.org>
Cc: 414117@bugs.debian.org
Subject: Re: Bug#414117: [i386][netinst][daily 20070211] success: Dell PE1950, no raid
Date: Tue, 22 Jul 2008 14:19:35 +1000 (EST)
> Vincent, have you made another Debian installation on the same system
> since your original installation report (9 Mar 2007)?  Did you
> experencie a similar issue?  If you have not, would you take the time to
> boot a recent build of d-i (netboot mini.iso will do) and see if the
> problem is still there?
> (As network configuration is done pretty early, you don't need to go
> really far in the installaion process.)

I did get it installed, but it has been running in production and I 
can't just randomly reboot it to test this.

I tried to reproduce with a Dell 2950 and a couple of recent d-i images.
The first was a complete failure, see #491813.
The second was with Lenny beta2, and that fails because it appears that
the plug has yet again been pulled on the firmware for Broadcom ethernet
cards. I wish that Debian would make up their minds on this.

So I give up for now. Try me again in a week if you want to pursue this,
I may be in a more responsive mood.

Vince





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#414117; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Vincent McIntyre <Vince.McIntyre@atnf.csiro.au>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 414117@bugs.debian.org (full text, mbox):

From: Vincent McIntyre <Vince.McIntyre@atnf.csiro.au>
To: Jérémy Bobbio <lunar@debian.org>
Cc: 414117@bugs.debian.org
Subject: Re: Bug#414117: [i386][netinst][daily 20070211] success: Dell PE1950, no raid
Date: Thu, 24 Jul 2008 08:55:35 +1000 (EST)
addendum:
 see also bug #439462
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=439462





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#414117; Package netcfg. (Wed, 08 Dec 2010 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 08 Dec 2010 10:09:03 GMT) Full text and rfc822 format available.

Message #39 received at 414117@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 414117@bugs.debian.org
Subject: Re: netcfg link detection confused by multiple interfaces with same driver
Date: Wed, 08 Dec 2010 11:05:49 +0100
I've experienced a similar issue, where the wrong network interface
were selected on a laptop with wired ethernet connected and a wifi
card that failed to work without extra firmware.  The machine in
question is a Dell Latitude D6500.

To make it easier to debug, I recently added more debug output from
netcfg to try to figure out what is going on.  Here is the relevant
part of the log:

Dec  8 09:34:15 main-menu[494]: INFO: Menu item 'netcfg' selected
Dec  8 09:34:15 kernel: [   60.812138] e1000e 0000:00:19.0: irq 30 for MSI/MSI-X
Dec  8 09:34:15 netcfg[6643]: INFO: eth0 is disconnected. (MII)
Dec  8 09:34:15 netcfg[6643]: INFO: found no link on interface eth0.
Dec  8 09:34:15 netcfg[6643]: INFO: eth0 is not a wireless interface. Continuing.
Dec  8 09:34:15 kernel: [   60.868043] e1000e 0000:00:19.0: irq 30 for MSI/MSI-X
Dec  8 09:34:15 kernel: [   60.868256] ADDRCONF(NETDEV_UP): eth0: link is not ready
Dec  8 09:34:15 netcfg[6643]: INFO: ethtool ioctl on wlan0 failed
Dec  8 09:34:15 netcfg[6643]: WARNING **: couldn't determine MII ioctl to use for wlan0
Dec  8 09:34:15 netcfg[6643]: INFO: found no link on interface wlan0.
Dec  8 09:34:15 kernel: [   60.964368] Registered led device: iwl-phy0::radio
Dec  8 09:34:15 kernel: [   60.964506] Registered led device: iwl-phy0::assoc
Dec  8 09:34:15 kernel: [   60.964641] Registered led device: iwl-phy0::RX
Dec  8 09:34:15 kernel: [   60.964774] Registered led device: iwl-phy0::TX
Dec  8 09:34:15 kernel: [   60.965907] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Dec  8 09:34:16 netcfg[6643]: INFO: wlan0 is not associated. Relegating to defwireless
Dec  8 09:35:02 kernel: [  107.800141] e1000e 0000:00:19.0: irq 30 for MSI/MSI-X
Dec  8 09:35:02 kernel: [  107.856042] e1000e 0000:00:19.0: irq 30 for MSI/MSI-X
Dec  8 09:35:02 kernel: [  107.856255] ADDRCONF(NETDEV_UP): eth0: link is not ready
Dec  8 09:35:14 kernel: [  119.816766] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
Dec  8 09:35:14 kernel: [  119.816940] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Dec  8 09:35:31 udhcpc: Got IP 129.240.203.150 (using eth0) and routing through 129.240.202.1
Dec  8 09:35:33 netcfg[6643]: INFO: DHCP hostname: "pxe-test2-pre.uio.no"
Dec  8 09:35:33 netcfg[6643]: INFO: Detected eth0 as a hotpluggable device
Dec  8 09:35:33 main-menu[494]: (process:6642): udhcpc (v1.17.1) started
Dec  8 09:35:33 main-menu[494]: (process:6642): Sending discover...
Dec  8 09:35:33 main-menu[494]: (process:6642): Sending discover...
Dec  8 09:35:33 main-menu[494]: (process:6642): Sending discover...
Dec  8 09:35:33 main-menu[494]: (process:6642): udhcpc: has been called with an unknown param: leasefail
Dec  8 09:35:33 main-menu[494]: (process:6642): Sending discover...
Dec  8 09:35:33 main-menu[494]: (process:6642): Sending select for 129.240.203.150...
Dec  8 09:35:33 main-menu[494]: (process:6642): Lease of 129.240.203.150 obtained, lease time 1200
Dec  8 09:35:33 main-menu[494]: DEBUG: resolver (download-installer): package doesn't exist (ignored)
Dec  8 09:35:33 main-menu[494]: DEBUG: resolver (kbd-chooser): package doesn't exist (ignored)
Dec  8 09:35:33 main-menu[494]: INFO: Menu item 'debian-edu-profile-udeb' selected

The problem seem to be that it take too long for the kernel to detect
the link.  Not sure why.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#414117; Package netcfg. (Sat, 01 Jan 2011 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 01 Jan 2011 14:27:03 GMT) Full text and rfc822 format available.

Message #44 received at 414117@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: 414117@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Retitle bug (was: netcfg link detection confused by multiple interfaces with the same driver)
Date: Sun, 2 Jan 2011 01:25:31 +1100
retitle 414117 netcfg doesn't wait long enough to detect link
thanks

I'm not seeing anything in this bug report that indicates that there's still
a problem with netcfg picking the "wrong" interface due to confusion over
which NIC from a given driver to use (and, like Jeremy, I'm not seeing
anything in the code that would make this sort of thing likely).  There
isn't even really enough detail to reproduce the hardware platform and try
to attack the problem that way.

However, Petter's report at the end seems reasonably legit, and worth
exploring.  I see a number of reports about things "taking too long", so I'm
thinking that it'd be worth implementing a progress bar to find a NIC with
link -- scan each second for 10 seconds, say, iterating over all NICs to see
if one gets a link.  Error out if nothing gets a link in that time, and
allow people to try again / handle appropriately.  It will likely get
complicated by wireless, and I haven't actually looked at the code to work
out if it's feasible, but it's my "go to" idea for now.

Not a squeeze thing, and will involve non-trivial amounts of hacking, so
I'll leave it for now and return In The Fuuuutuuuuure.

- Matt




Changed Bug title to 'netcfg doesn't wait long enough to detect link' from 'netcfg link detection confused by multiple interfaces with same driver' Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 14:27:04 GMT) Full text and rfc822 format available.

Forcibly Merged 414117 537271. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 14:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#414117; Package netcfg. (Sat, 22 Jan 2011 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 22 Jan 2011 00:30:03 GMT) Full text and rfc822 format available.

Message #53 received at 414117@bugs.debian.org (full text, mbox):

From: Matt Palmer <mpalmer@debian.org>
To: control@bugs.debian.org
Cc: 414117@bugs.debian.org
Subject: setting package to netcfg netcfg-static, tagging 414117
Date: Sat, 22 Jan 2011 11:26:05 +1100
# Automatically generated email from bts, devscripts version 2.10.35lenny7
# via tagpending 
#
# netcfg (1.60) UNRELEASED; urgency=low
#
#  * Wait for up to 3 seconds (in 0.25s increments) looking for the link on
#    an interface.  Add a progress bar to show the progress of this
#    operation.  Closes: #414117.
#

package netcfg netcfg-static
tags 414117 + pending





Added tag(s) pending. Request was from Matt Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Sat, 22 Jan 2011 00:30:09 GMT) Full text and rfc822 format available.

Reply sent to Matt Palmer <mpalmer@debian.org>:
You have taken responsibility. (Sun, 06 Feb 2011 09:42:05 GMT) Full text and rfc822 format available.

Notification sent to Vincent McIntyre <Vince.McIntyre@atnf.csiro.au>:
Bug acknowledged by developer. (Sun, 06 Feb 2011 09:42:05 GMT) Full text and rfc822 format available.

Message #60 received at 414117-close@bugs.debian.org (full text, mbox):

From: Matt Palmer <mpalmer@debian.org>
To: 414117-close@bugs.debian.org
Subject: Bug#414117: fixed in netcfg 1.60
Date: Sun, 06 Feb 2011 09:38:54 +0000
Source: netcfg
Source-Version: 1.60

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive:

netcfg-static_1.60_i386.udeb
  to main/n/netcfg/netcfg-static_1.60_i386.udeb
netcfg_1.60.dsc
  to main/n/netcfg/netcfg_1.60.dsc
netcfg_1.60.tar.gz
  to main/n/netcfg/netcfg_1.60.tar.gz
netcfg_1.60_i386.udeb
  to main/n/netcfg/netcfg_1.60_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 414117@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matt Palmer <mpalmer@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Feb 2011 12:59:07 +1100
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source i386
Version: 1.60
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Matt Palmer <mpalmer@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 399071 414117 496647 606515 610553
Changes: 
 netcfg (1.60) unstable; urgency=low
 .
   [ Matt Palmer ]
   * Increase the frequency of DHCP discover packets sent during DHCP
     configuration using udhcpc.  This should ameliorate some problems with
     DHCP configuration when a link is slow to become available.
     Thanks to Ferenc Wagner for the patch.
   * Clarify the requirements for hostnames.  Closes: #399071.
   * Modify ethtool-lite so that it distinguishes between "ethtool failed"
     and "ethtool says link is down".  This should reduce link up/link down
     confusion.  Closes: #496647.
   * Wait for up to 3 seconds (in 0.25s increments) looking for the link on
     an interface.  Add a progress bar to show the progress of this
     operation.  Closes: #414117.
   * Wait for link detection on static interface configuration.
     Closes: #606515.
   * Release DHCP lease at the completion of the install.  Closes: #610553.
 .
   [ Updated translations ]
   * Czech (cs.po) by Miroslav Kure
   * Basque (eu.po) by Piarres Beobide
   * French (fr.po) by Christian Perrier
   * Kazakh (kk.po) by Baurzhan Muftakhidinov
   * Nepali (ne.po)
   * Russian (ru.po) by Yuri Kozlov
   * Slovak (sk.po) by Ivan Masár
   * Swedish (sv.po) by Daniel Nylander
   * Telugu (te.po) by Arjuna Rao Chavala
   * Thai (th.po) by Theppitak Karoonboonyanan
Checksums-Sha1: 
 150da085b3151e44ec2346dd7951b6316ffa673d 1087 netcfg_1.60.dsc
 d9fc057133018d249e800046770e351fe057d8e5 426818 netcfg_1.60.tar.gz
 4a3fa640810e8432ec8f6d8f9443f4e9a1fb6c2b 318010 netcfg_1.60_i386.udeb
 867de966db11bd4025521b2729f61f96663e273e 243732 netcfg-static_1.60_i386.udeb
Checksums-Sha256: 
 acfaa16d8c649ba047758af690216ea31f28af6a943443209b4d9ae86da20472 1087 netcfg_1.60.dsc
 7dcead5de32a689ff5d32f7efd851f007b9c8f74b63ea1868c4e39e642e3cb1a 426818 netcfg_1.60.tar.gz
 a7b73c85a4e2c875c5f3302248df55d79458bc282999045844afce8845febf81 318010 netcfg_1.60_i386.udeb
 f27a71edc33db4f8b101cc9fa062f7fd29fccddfdcf70e9810bc2e370caa5ce6 243732 netcfg-static_1.60_i386.udeb
Files: 
 b8e61b3bd5f10588d92117eb366ff086 1087 debian-installer optional netcfg_1.60.dsc
 1bd95ab09187ce4dec5c10a939edb4cf 426818 debian-installer optional netcfg_1.60.tar.gz
 e245696aea11efe9d5f7ba89d2c70fd4 318010 debian-installer optional netcfg_1.60_i386.udeb
 9ebb07fbb04e88b68b930a199b533bc9 243732 debian-installer optional netcfg-static_1.60_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNTgSIBEnrTWk1E4cRAlp6AJ9dKlIC071ycb2mU4I8itgeU4ktUACeJLCf
CCr8i3SRTmBMqzl2jvsCr7E=
=0JEP
-----END PGP SIGNATURE-----





Reply sent to Matt Palmer <mpalmer@debian.org>:
You have taken responsibility. (Sun, 06 Feb 2011 09:42:06 GMT) Full text and rfc822 format available.

Notification sent to Robert Edmonds <edmonds@debian.org>:
Bug acknowledged by developer. (Sun, 06 Feb 2011 09:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#414117; Package netcfg. (Sun, 06 Feb 2011 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 06 Feb 2011 19:45:02 GMT) Full text and rfc822 format available.

Message #70 received at 414117@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: control@bugs.debian.org
Cc: 414117@bugs.debian.org, 537271@bugs.debian.org
Subject: unmerge 414117 537271
Date: Sun, 6 Feb 2011 14:33:59 -0500
unmerge 414117 537271
reopen 537271
thanks

#414117 was closed due to this change in netcfg:

   * Wait for up to 3 seconds (in 0.25s increments) looking for the link on
     an interface.  Add a progress bar to show the progress of this
     operation.  Closes: #414117.

#537271 concerns the situation where the link is up but not yet usable:

    the debian-installer seems to assume that the network is usable as
    soon as the link comes up, which may not be the case if the 802.1d
    spanning tree protocol is in use, in which case it can be up to ~30
    seconds before the switch port will forward ethernet frames.

please don't merge unrelated bugs.

-- 
Robert Edmonds
edmonds@debian.org




Bug No longer marked as fixed in versions netcfg/1.60 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Feb 2011 19:45:06 GMT) Full text and rfc822 format available.

Disconnected #537271 from all other report(s). Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Sun, 06 Feb 2011 19:51:05 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Vincent McIntyre <Vince.McIntyre@atnf.csiro.au> Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Sun, 06 Feb 2011 19:51:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:06:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:05:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.